﻿# -*- coding: utf-8 -*-
import configparser

bar = None
text_info = None

def clear():

    list = render.findAllMatches('**/+GeomNode')

    for node in list:
    
        node.detachNode()
        node.removeNode()
    
    text_info['text'] = "Name level: Clear"

def start(level_name):

    clear()

    global sum_ob
    
    sum_ob = 0 
    
    config = configparser.RawConfigParser()
    config.read('data/levels/'+str(level_name)+'.map')
    
    name_level = config.items('Info')

    object_data = config.items('Objectes')
    sum = len(object_data)

    bar['range'] = sum

    def load_object(task):

        global sum_ob

        if sum_ob != sum:

            data = object_data[sum_ob][1].split()
            
            object = loader.loadModel(data[0])
            object.setPos(float(data[1].split(',')[0]), float(data[1].split(',')[1]), float(data[1].split(',')[2]))
            object.setScale(float(data[2]))

            object.reparentTo(render)
            
            bar['value'] += 1
            sum_ob += 1

        else:
        
            text_info['text'] = "Name level: " + str(name_level[0][1])
            bar['value'] = 0
            taskMgr.remove('Load')

        return  task.cont

    taskMgr.add(load_object, 'Load')