# -*- coding: utf_8 -*-
from direct.gui.DirectGui import DirectWaitBar, DirectButton, OnscreenText
from panda3d.core import TextNode

text_info = OnscreenText(text = "Name level: None", pos = (-1, 0.8), scale = 0.07, align = TextNode.ALeft)

button_1 = DirectButton(text = ("Load level - 1"), pos = (0 , 0, 0.3), scale=.05, command = None, extraArgs = ["level_1"])
button_2 = DirectButton(text = ("Load level - 2"), pos = (0 , 0, 0), scale=.05, command = None, extraArgs = ["level_2"])
button_3 = DirectButton(text = ("Load level - 3"), pos = (0 , 0, -0.3), scale=.05, command = None, extraArgs = ["level_3"])
button_4 = DirectButton(text = ("Clear level"), pos = (0 , 0, 0.6), scale=.05, command = None)

bar = DirectWaitBar(pos = (0 , 0, -0.6))
bar.setScale(0.8, 1, 0.6)
bar.reparentTo(aspect2d)